Main Page Class Hierarchy Compound List File List Compound Members File Members

# rw_strongmotionII.c File Reference

`#include <stdio.h>`
`#include <string.h>`
`#include <time.h>`
`#include <chron3.h>`
`#include <time_ew.h>`
`#include <rw_strongmotionII.h>`

Go to the source code of this file.

## Defines
#define | ABS(X) (((X) >= 0) ? (X) : -(X))
## Functions
void | logit (char *, char *,...)
int | strappend (char *s1, int s1max, char *s2)
int | tokenlength (char *begtok, char c)
char * | datestr24 (double t, char *pbuf, int len)
int | addtimestr (char *buf, int buflen, double t)
int | rd_strongmotionII (char *msg, int msglen, SM_INFO *sm)
int | wr_strongmotionII (SM_INFO *sm, char *buf, int buflen)
void | log_strongmotionII (SM_INFO *sm)
## Variables
char * | sNullDate = "0000/00/00 00:00:00.000"
char * | sUnknown = "?"

## Define Documentation

#define ABS | ( | X |  | ) | (((X) >= 0) ? (X) : -(X))

| Definition at line 38 of file rw_strongmotionII.c.

## Function Documentation

int addtimestr | ( | char * | buf,
|  | int | buflen,
|  | double | t
| ) | `[static]`

| Definition at line 408 of file rw_strongmotionII.c. References datestr24(), and strappend(). Referenced by wr_strongmotionII().

char * datestr24 | ( | double | t,
|  | char * | pbuf,
|  | int | len
| ) | `[static]`

| Definition at line 370 of file rw_strongmotionII.c. References gmtime_ew(). Referenced by addtimestr(), log_strongmotionII(), and wr_strongmotionII().

void log_strongmotionII | ( | SM_INFO * | sm | ) |

| Definition at line 316 of file rw_strongmotionII.c. References _SM_INFO::altcode, _SM_INFO::comp, datestr24(), _SM_INFO::loc, logit(), _SM_INFO::net, _SM_INFO::nrsa, _SM_INFO::pdrsa, _SM_INFO::pga, _SM_INFO::pgd, _SM_INFO::pgv, _SM_INFO::qauthor, _SM_INFO::qid, _SM_INFO::rsa, _SM_INFO::sta, _SM_INFO::t, _SM_INFO::talt, _SM_INFO::tpga, _SM_INFO::tpgd, and _SM_INFO::tpgv.

void logit | ( | char * | ,
|  | char * | ,
|  | ... |
| ) |

| Definition at line 396 of file logit.c.

int rd_strongmotionII | ( | char * | msg,
|  | int | msglen,
|  | SM_INFO * | sm
| ) |

| Definition at line 55 of file rw_strongmotionII.c. References _SM_INFO::altcode, AUTHOR_FIELD_SIZE, _SM_INFO::comp, EVENTID_SIZE, _SM_INFO::loc, _SM_INFO::net, _SM_INFO::nrsa, _SM_INFO::pdrsa, _SM_INFO::pga, _SM_INFO::pgd, _SM_INFO::pgv, _SM_INFO::qauthor, _SM_INFO::qid, _SM_INFO::rsa, SM_MAX_RSA, _SM_INFO::sta, _SM_INFO::t, _SM_INFO::talt, timegm(), tokenlength(), _SM_INFO::tpga, _SM_INFO::tpgd, _SM_INFO::tpgv, TRACE_CHAN_LEN, TRACE_LOC_LEN, TRACE_NET_LEN, and TRACE_STA_LEN.

int strappend | ( | char * | s1,
|  | int | s1max,
|  | char * | s2
| ) | `[static]`

| Definition at line 427 of file rw_strongmotionII.c. Referenced by addtimestr(), wr_chan_mag(), wr_mag(), wr_strongmotion(), and wr_strongmotionII().

int tokenlength | ( | char * | begtok,
|  | char | c
| ) | `[static]`

| Definition at line 440 of file rw_strongmotionII.c. Referenced by rd_chan_mag(), rd_strongmotion(), and rd_strongmotionII().

int wr_strongmotionII | ( | SM_INFO * | sm,
|  | char * | buf,
|  | int | buflen
| ) |

| Definition at line 250 of file rw_strongmotionII.c. References ABS, addtimestr(), _SM_INFO::altcode, _SM_INFO::comp, datestr24(), _SM_INFO::loc, _SM_INFO::net, _SM_INFO::nrsa, _SM_INFO::pdrsa, _SM_INFO::pga, _SM_INFO::pgd, _SM_INFO::pgv, _SM_INFO::qauthor, _SM_INFO::qid, _SM_INFO::rsa, _SM_INFO::sta, strappend(), sUnknown, _SM_INFO::t, _SM_INFO::talt, _SM_INFO::tpga, _SM_INFO::tpgd, and _SM_INFO::tpgv.

## Variable Documentation

char* sNullDate = "0000/00/00 00:00:00.000"`[static]`

| Definition at line 46 of file rw_strongmotionII.c.

char* sUnknown = "?"`[static]`

| Definition at line 47 of file rw_strongmotionII.c. Referenced by wr_strongmotionII().